#ifndef _SMMAPD_H_
#define _SMMAPD_H_


#define SMM_OK 1
#define SMM_TEMP_NOK 2
#define SMM_PERM_NOK 3
#define SMM_NOT_FOUND_NOK 4
#define SMM_ILLEGAL_INPUT 5
#define SMM_UNKNOWN_CLASS 6
#define SMM_TIMEOUT_NOK 7
#define SMM_NETSTRING_UNPARSABLE 8
#define SMM_MAX_NUM 9

#ifdef _SMMAPD_C_
const char *T_SMM_RESULTS[] = { 
  "PERM",
  "OK",
  "TEMP", 
  "PERM", 
  "NOTFOUND",
  "PERM", 
  "PERM",
  "TIMEOUT",
  "PERM"
};

const char *T_SMM_RESULT_INFOS[] = { 
  "unsupported result code",
  NULL,
  NULL, 
  NULL, 
  NULL,
  "illegal input", 
  "unknown class",
  NULL,
  "netstring unparsable"
};


#endif


#define BUFSIZE 2048
#define ANSWER_BUFSIZE BUFSIZE

#endif /* _SMMAPD_H_ */  

  
