import random
from Connector import Connector

class verifier (Connector):
    addresses = None

    def __init__(self, config, details):
        Connector.__init__(self, config, details)
        self.readAddressFile()
        random.seed()

    def readAddressFile(self):
        if (verifier.addresses == None):
            addressFile = self.config.get('Verifier', 'AddressFile')
            f = open(addressFile)
            l = f.readlines()
            f.close()
            verifier.addresses = map(lambda x: x[:-1].rstrip(), l)
        

    def execute(self):
        queriesPerSession = int(self.config.get('Verifier', 'QueriesPerSession'))
        self.connect()
        for i in range(queriesPerSession):
            a = verifier.addresses[int(random.random()*len(verifier.addresses))]
            self.query(a)
        self.close()
        
        
